> ## Documentation Index
> Fetch the complete documentation index at: https://docs.reachedapp.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List Webhooks

> Returns all webhook subscriptions for your workspace.

# List Webhooks

Returns all webhook subscriptions for the workspace. Signing secrets are never included in list responses.

## Request

`GET /v1/webhooks`

## Example

<CodeGroup>
  ```bash cURL theme={null}
  curl -X GET \
    "https://kdjmltmhxvvmiuehafgl.supabase.co/functions/v1/api-gateway/v1/webhooks" \
    -H "Authorization: Bearer rchd_live_xxxxxxxxxxxx"
  ```

  ```javascript JavaScript theme={null}
  const response = await fetch(
    "https://kdjmltmhxvvmiuehafgl.supabase.co/functions/v1/api-gateway/v1/webhooks",
    {
      headers: {
        "Authorization": "Bearer rchd_live_xxxxxxxxxxxx"
      }
    }
  );
  const { data } = await response.json();
  ```
</CodeGroup>

## Response

```json theme={null}
{
  "data": [
    {
      "id": "wh-uuid-1",
      "name": "Data pipeline",
      "url": "https://api.yourcompany.com/reached/webhook",
      "events": ["call.completed", "transcript.ready"],
      "is_active": true,
      "created_at": "2026-07-18T15:00:00.000Z",
      "updated_at": "2026-07-18T15:00:00.000Z"
    }
  ]
}
```

### Response Fields

| Field        | Type     | Description                   |
| ------------ | -------- | ----------------------------- |
| `id`         | uuid     | Webhook unique identifier     |
| `name`       | string   | Human-readable label          |
| `url`        | string   | HTTPS endpoint URL            |
| `events`     | array    | Subscribed event types        |
| `is_active`  | boolean  | Whether the webhook is active |
| `created_at` | datetime | Creation timestamp            |
| `updated_at` | datetime | Last update timestamp         |
